Show / Hide Table of Contents

# Class SeString

This class represents a parsed SeString.

##### Inheritance

System.Object
SeString

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Text.SeStringHandling

###### Assembly: Dalamud.dll

##### Syntax

    public class SeString

### Constructors

| Improve this Doc View Source

#### SeString(Payload[])

Creates a new SeString from an ordered list of payloads.

##### Declaration

    public SeString(Payload[] payloads)

##### Parameters

Type | Name | Description
--- | --- | ---
Payload[] | payloads | The Payload objects to make up this string.

| Improve this Doc View Source

#### SeString(List<Payload>)

Creates a new SeString from an ordered list of payloads.

##### Declaration

    [JsonConstructor]
    public SeString(List<Payload> payloads)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Collections.Generic.List<Payload> | payloads | The Payload objects to make up this string.

### Properties

| Improve this Doc View Source

#### Payloads

The ordered list of payloads included in this SeString.

##### Declaration

    public List<Payload> Payloads { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.List<Payload> |

| Improve this Doc View Source

#### TextValue

Helper function to get all raw text from a message as a single joined string

##### Declaration

    public string TextValue { get; }

##### Property Value

Type | Description
--- | ---
System.String | All the raw text from the contained payloads, joined into a single string

### Methods

| Improve this Doc View Source

#### Append(Payload)

Appends a single payload to this SeString.

##### Declaration

    public SeString Append(Payload payload)

##### Parameters

Type | Name | Description
--- | --- | ---
Payload | payload | The payload to append.

##### Returns

Type | Description
--- | ---
SeString | This object.

| Improve this Doc View Source

#### Append(SeString)

Appends the contents of one SeString to this one.

##### Declaration

    public SeString Append(SeString other)

##### Parameters

Type | Name | Description
--- | --- | ---
SeString | other | The SeString to append to this one.

##### Returns

Type | Description
--- | ---
SeString | This object.

| Improve this Doc View Source

#### Append(List<Payload>)

Appends a list of payloads to this SeString.

##### Declaration

    public SeString Append(List<Payload> payloads)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Collections.Generic.List<Payload> | payloads | The Payloads to append.

##### Returns

Type | Description
--- | ---
SeString | This object.

| Improve this Doc View Source

#### Encode()

Encodes the Payloads in this SeString into a binary representation suitable for use by in-game handlers, such as the chat log.

##### Declaration

    public byte[] Encode()

##### Returns

Type | Description
--- | ---
System.Byte[] | The binary encoded payload data.

| Improve this Doc View Source

#### FromJson(String, DataManager)

Creates a SeString from a json. (For testing - not recommended for production use.)

##### Declaration

    public static SeString FromJson(string json, DataManager dataManager)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | json | A serialized SeString produced by ToJson() ToJson()
DataManager | dataManager | An initialized instance of DataManager for Lumina queries.

##### Returns

Type | Description
--- | ---
SeString | A SeString initialized with values from the json

| Improve this Doc View Source

#### ToJson()

Serializes the SeString to json

##### Declaration

    public string ToJson()

##### Returns

Type | Description
--- | ---
System.String | An json representation of this object

| Improve this Doc View Source

#### ToString()

Get the text value of this SeString.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String | The TextValue property

##### Overrides

System.Object.ToString()

### Operators

| Improve this Doc View Source

#### Implicit(String to SeString)

Implicitly convert a string into a SeString containing a TextPayload.

##### Declaration

    public static implicit operator SeString(string str)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | str | string to convert

##### Returns

Type | Description
--- | ---
SeString | Equivalent SeString